curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>",
"clientName": "<string>",
"publicJwks": "<string>",
"redirectUris": [
"<string>"
],
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update"
payload = {
"clientId": "<string>",
"clientName": "<string>",
"publicJwks": "<string>",
"redirectUris": ["<string>"],
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
clientName: '<string>',
publicJwks: '<string>',
redirectUris: ['<string>'],
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientId' => '<string>',
'clientName' => '<string>',
'publicJwks' => '<string>',
'redirectUris' => [
'<string>'
],
'updateMask' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update"
payload := strings.NewReader("{\n \"clientId\": \"<string>\",\n \"clientName\": \"<string>\",\n \"publicJwks\": \"<string>\",\n \"redirectUris\": [\n \"<string>\"\n ],\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"clientId\": \"<string>\",\n \"clientName\": \"<string>\",\n \"publicJwks\": \"<string>\",\n \"redirectUris\": [\n \"<string>\"\n ],\n \"updateMask\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientId\": \"<string>\",\n \"clientName\": \"<string>\",\n \"publicJwks\": \"<string>\",\n \"redirectUris\": [\n \"<string>\"\n ],\n \"updateMask\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"client": {
"authMethod": "EXTERNAL_O_AUTH_CLIENT_AUTH_METHOD_UNSPECIFIED",
"clientId": "<string>",
"clientIdType": "CLIENT_ID_TYPE_UNSPECIFIED",
"clientIdUrl": "<string>",
"clientName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"redirectUris": [
"<string>"
],
"softwareId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"verifiedDomain": "<string>",
"wellKnownClient": "WELL_KNOWN_CLIENT_UNSPECIFIED"
}
}Update
Update edits a static client through an explicit field mask. client_id, client_id_type, and the auth method are immutable. Update never mints, clears, or returns secret material.
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>",
"clientName": "<string>",
"publicJwks": "<string>",
"redirectUris": [
"<string>"
],
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update"
payload = {
"clientId": "<string>",
"clientName": "<string>",
"publicJwks": "<string>",
"redirectUris": ["<string>"],
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
clientName: '<string>',
publicJwks: '<string>',
redirectUris: ['<string>'],
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clientId' => '<string>',
'clientName' => '<string>',
'publicJwks' => '<string>',
'redirectUris' => [
'<string>'
],
'updateMask' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update"
payload := strings.NewReader("{\n \"clientId\": \"<string>\",\n \"clientName\": \"<string>\",\n \"publicJwks\": \"<string>\",\n \"redirectUris\": [\n \"<string>\"\n ],\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"clientId\": \"<string>\",\n \"clientName\": \"<string>\",\n \"publicJwks\": \"<string>\",\n \"redirectUris\": [\n \"<string>\"\n ],\n \"updateMask\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/iam/external_oauth_clients/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"clientId\": \"<string>\",\n \"clientName\": \"<string>\",\n \"publicJwks\": \"<string>\",\n \"redirectUris\": [\n \"<string>\"\n ],\n \"updateMask\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"client": {
"authMethod": "EXTERNAL_O_AUTH_CLIENT_AUTH_METHOD_UNSPECIFIED",
"clientId": "<string>",
"clientIdType": "CLIENT_ID_TYPE_UNSPECIFIED",
"clientIdUrl": "<string>",
"clientName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"redirectUris": [
"<string>"
],
"softwareId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"verifiedDomain": "<string>",
"wellKnownClient": "WELL_KNOWN_CLIENT_UNSPECIFIED"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The ExternalOAuthClientServiceUpdateRequest message.
The clientId field.
Replacement display name shown on the consent screen and in the admin list.
Replacement RFC 7517 JWK Set. Only accepted for a client that already authenticates with private_key_jwt.
Replacement exact redirect set. A client always keeps at least one redirect URI.
Response
Successful response
The ExternalOAuthClientServiceUpdateResponse message.
ExternalOAuthClientInfo is the API representation of an ExternalOAuthClient.
Show child attributes
Show child attributes
Was this page helpful?